#this import statement allows access to the karamba functions
import karamba
import time


#this is called when you widget is initialized
def initWidget(widget):
    #bg image
    bgimag=karamba.createImage(widget,0,0,"bg_clock.png")
    karamba.redrawWidget(widget)
    print "init\n"

#this is called everytime your widget is updated
#the update inverval is specified in the .theme file
def widgetUpdated(widget):
    arrow_min=karamba.createImage(widget,0,0,"minutes.png")
    arrow_hour=karamba.createImage(widget,0,0,"hour.png")
    now = time.localtime(time.time())
    minu=now[4];
    hour=now[3];
    karamba.rotateImage(widget,arrow_min,6*minu)
    karamba.resizeImageSmooth(widget,arrow_min,56,56)
    minuwidth=karamba.getImageWidth(widget,arrow_min)
    minuheight=karamba.getImageHeight(widget,arrow_min)
    karamba.moveImage(widget,arrow_min,(73-minuwidth)/2,(69-minuheight)/2)
    karamba.rotateImage(widget,arrow_hour,(30*hour)+((minu/20)*10))
    karamba.resizeImageSmooth(widget,arrow_hour,51,51)
    hourwidth=karamba.getImageWidth(widget,arrow_hour)
    hourheight=karamba.getImageHeight(widget,arrow_hour)
    karamba.moveImage(widget,arrow_hour,(73-hourwidth)/2,(69-hourheight)/2)
    karamba.redrawWidget(widget);
    karamba.deleteImage(widget,arrow_min)
    karamba.deleteImage(widget,arrow_hour)
    

#This gets called everytime our widget is clicked.
#Notes:
#  widget = reference to our widget
#  x = x position (relative to our widget)
#  y = y position (relative to our widget)
#  botton = button clicked:
#                    1 = Left Mouse Button
#                    2 = Middle Mouse Button
#                    3 = Right Mouse Button, but this will never happen
#                        because the right mouse button brings up the
#                        Karamba menu.
#                    4,5 = Scroll wheel up and down
def widgetClicked(widget, x, y, button):
    pass

#This gets called everytime our widget is clicked.
#Notes
#  widget = reference to our widget
#  x = x position (relative to our widget)
#  y = y position (relative to our widget)
#  botton = button being held:
#                    0 = No Mouse Button
#                    1 = Left Mouse Button
#                    2 = Middle Mouse Button
#                    3 = Right Mouse Button, but this will never happen
#                        because the right mouse button brings up the
#                        Karamba menu.
def widgetMouseMoved(widget, x, y, button):
    #Warning:  Don't do anything too intensive here
    #You don't want to run some complex piece of code everytime the mouse moves
    pass


# This will be printed when the widget loads.
print "Loaded my python extension!"

